Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.builders
Class BuilderFactory

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.builders.BuilderFactory

    public class BuilderFactory

extends Object

BuilderFactory to obtain the necassary builders.

Constructor Summary
`BuilderFactory()`

Method Summary
`static ContractRequestBuilder.ContractRequestBuilderStep` | `newContractRequestBuilder()` Builder for generating a contract generation request
`static EncryptionTokenBuilder.EncryptionTokenBuilderStep` | `newEncryptionTokenBuilder(Credential cred)` Builder for generating an EncryptionToken
`static ForeignRequestBuilder` | `newForeignRequestBuilder()`
`static RevocationRequestBuilder.RevokeRequestBuilderStep` | `newRevokeRequestBuilder()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuilderFactory

    public BuilderFactory()

Method Detail

### newContractRequestBuilder

    public static ContractRequestBuilder.ContractRequestBuilderStep newContractRequestBuilder()

  Builder for generating a contract generation request

### newEncryptionTokenBuilder

    public static EncryptionTokenBuilder.EncryptionTokenBuilderStep newEncryptionTokenBuilder(Credential cred)

  Builder for generating an EncryptionToken

### newRevokeRequestBuilder

    public static RevocationRequestBuilder.RevokeRequestBuilderStep newRevokeRequestBuilder()

### newForeignRequestBuilder

    public static ForeignRequestBuilder newForeignRequestBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.